# goodtimer v3.2.0 release notes

## 🎁 New features

* `timeutil` package provides drop-in replacements for `setInterval`, which are guaranteed to
  prevent timeout drift over time.

## 💪 Enhancements

* Timers are more accurate and guaranteed to protect against timeout drift.

## 🚧 Breaking changes

* `new Timer`'s count down is updated to use `timeutil/setGoodInterval` rather than JavaScript `setInterval`.
  If timers relied on the specific timing of `setInterval` (and its tendency to develop timeout drift),
  timers will now be slightly faster by comparison.
  * If previous countdown handling is needed, `setGoodInterval` can be overrided by following the steps in
    [setInterval and clearInterval](../setInterval-clearInterval.md).
    
### Notes

* Client-side code available via `https://cdn.nickpal.to/goodtimer/goodtimer-3.2.0.js`